<?php

use Symfony\Component\Config\FileLocator;
use Symfony\Component\Routing\Loader\PhpFileLoader;

\idoit\Psr4AutoloaderClass::factory()
    ->addNamespace('idoit\Module\License', __DIR__ . '/src/');

if (isys_application::instance()->container->has('routes')) {
    isys_application::instance()->container->get('routes')
        ->addCollection((new PhpFileLoader(new FileLocator(__DIR__)))->load('config/routes.php'));
}
